From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 20 January 2008<P>

congrats on the front pagers! Haven't had time to do much but deal with the weather and other problems lately. b.k. called and that reminded me I've been remiss here. The brain is either worrying about where I put those Ruby Slippers, waterlogged or frozen over the past couple of months. We've had a real roller coaster of a ride. The same can be said for romantic feelings. I can read but a few posts here and see I'm in the right company unless you are one of those wrapped up in the ball games...even those can be heartbreakers :-). Pammie and hairdiva, glad to see things giving you a bit of hope and happiness after some rough times ...... Rennie
<HR>